Welcome to LXQt - Please select your default Window Manager


#1

I’m trying to install LXQt, but I cannot.

I tried it on Ubuntu, I tried it on Kubuntu and I tried it on Lubuntu. They all had the exact same problem! (all version 18.04.2)

Here’s how I installed it:

  1. sudo apt-get install lxqt
  2. Logout
  3. Select LXQt Desktop
  4. Login

After step 4, I’m met with this window: https://forum.lxqt.org/uploads/default/original/1X/269ac4a961c9026f3dbd4f87287d8be5166c9c02.png

How can I solve this? All I want is to get the look of Lubuntu 18.10 on other OS versions >_<

I’m using Virtualbox in case it matters


(stefano) #2

Install openbox and if it doesn’t appear in the menu click “other” and select it in /usr/bin.

Note: also the panel at the bottom is not configured at all by ubuntu, right click > add elements: menu, systray, clock ecc.


#3

Thank you! This worked great and I was able to set it up to look close to Lubuntu 18.10!

Only thing missing at the moment are the themes. Would it be possible to copy them from a Lubuntu 18.10 installation (which I have) and install them on another version? How would I do this? I tried googling for the themes but couldn’t find them…

Openbox Theme: Arc Darker

Icons Theme: Papirus-Dark (Papirus icon theme for Arc Dark)

LXQt Theme: Lubuntu Arc


(Pedram Pourang) #4

Put them inside ~/.local/share/lxqt/themes

EDIT: I mean LXQt themes; other themes (icons,…) are DE independent.


(stefano) #5

If you insist using ubuntu: 18.04 ships not the newest version, or better, an OLD version of LXQt, so you’d be better of with 18.10 or 19.04 soon. Your choice.


(Pedram Pourang) #6

Or, said better, the LXQt of Ubuntu 18.04 is completely obsolete. – even that of 18.10 is so.


(Alf Gaida) #7

More general - LXQt is in all distributions obsolete with the next release of LXQt. And no, there will be no LXQt LTS - not in the next years i guess. Once we are mature maybe. But that will be a long way to go.

Before i forget - if one run git packages they are mostly obsolete with the next commit :hear_no_evil: :see_no_evil: :speak_no_evil:


(Pedram Pourang) #8

Users of rolling distros can’t have any problem with that. It reveals something: LXQt is mostly for rolling distros; we don’t look back because we don’t have time.